//===================================================================
//                                                                  =
// Author:    Martin Berriman                                       =
// Copyright: Innovatronics Ltd 2006                                =
//                                                                  =
//===================================================================

#ifndef _GLOBALH
#define _GLOBALH

#nolist

// INCLUDES =========================================================
//#include "global.h"
// END INCLUDES =====================================================

// DEFINES ==========================================================
#define bool BOOLEAN

#define TRISA_WRITE 0xD0    // 1101-0000
#define TRISA_READ  0xDF    // 1101-1111
#define TRISB 0x03			// 0000-0011
#define TRISC 0x80			// 1000-0000

#define CONVST	    PIN_A5  // held low

#define FAST_FILL1A  PIN_B4
#define SLOW_FILL1A  PIN_B3
#define VENT1A       PIN_B2

//Swapped over sockets if dual channel
#define FAST_FILL1B  PIN_B7
#define SLOW_FILL1B  PIN_B6
#define VENT1B       PIN_B5

#define FAST_FILL2  PIN_B4
#define SLOW_FILL2  PIN_B3
#define VENT2       PIN_B2

#define ONOFFKEY    PIN_B1
#define STARTKEY    PIN_B0
#define CHANNELS    PIN_A4

typedef struct {
   char				name[13];				//Space for 12 characters
   unsigned int16	max_graph_pa;
   unsigned int16	min_graph_pa;
   unsigned int16	max_graph_mbar;
   unsigned int16	min_graph_mbar;
   unsigned int16	max_graph_mmh2o;
   unsigned int16	min_graph_mmh2o;
   unsigned int16	max_graph_inh2o;
   unsigned int16	min_graph_inh2o;
   unsigned int16	limit;
   unsigned int16	total_samples;
   unsigned int16	fast_fill_pa;
   unsigned int16	slow_fill_pa;
   unsigned int16	stabilise_pa;
   unsigned int16	test_pressure_pa;
   unsigned int16	stabilise_time_seconds;
   unsigned int8	stabilise_hysteresis_pa;
   unsigned int8	stabilise_dwell_seconds;
   unsigned int8    test_deflate_pause_seconds;
}STANDARD_TYPE;
// END DEFINES ======================================================

// PROTOTYPES =======================================================
// END PROTOTYPES ===================================================

#list

// =============================================================
#endif