//===================================================================
//                                                                  =
// Author:    Martin Berriman                                       =
// Copyright: Innovatronics Ltd 2006                                =
//                                                                  =
//===================================================================

#ifndef _STANDARDSC
#define _STANDARDSC

// HEADERS ==========================================================
#include "standards.h"
#include "eeprom.h"
// END HEADERS ======================================================

// C FILES ==========================================================
// END C FILES ======================================================

// MACROS =========================================================
// END MACROS =====================================================

// GLOBALS ==========================================================
//                                                   pa    pa    mbar  mbar  mm    mm    in    in    lim   sec  fast  slow  stab  test  stab hy  dwell  deflate_dwell
const STANDARD_TYPE STANDARDS[] = {	{"ISO17491 M2#", 1800, 1250, 1800, 1250, 1850, 1250,  750,  500, 1320, 360, 1500, 1750, 1750, 1650, 600, 10, 2,     0},
									                  {"ISO17491 M1#", 1300,  700, 1300,  700, 1300,  700,  550,  250,  800, 240, 1071, 1270, 1245,  996,  60, 10, 2,     0},
									                  {"HEADS#      ", 1100,  300, 1100,  300, 1100,  300,  500,  100,  490, 120,    0, 1000,  997,  498, 120, 10, 2,     3},
									                  {"CUSTOM#     ",    0,    0,    0,    0,    0,    0,    0,    0,    0,   0,    0,    0,    0,    0,   0,  0, 0,     0}
								                   };

//Following used during debugging
//const STANDARD_TYPE STANDARDS[] = {	{"EN464#      ", 1800, 1250, 1800, 1250, 1850, 1250,  750,  500, 1350,  30, 1500, 1750, 1700, 1650,  30, 10, 2,     0},
//									{"ASTM1052#   ", 1300,  700, 1300,  700, 1300,  700,  550,  250,  800, 240, 1071, 1270, 1245,  996,  60, 10, 2,     0},
//									{"SPARE#      ",    0,    0,    0,    0,    0,    0,    0,    0,    0,   0,    0,    0,    0,    0,   0,  0, 0,     0},
//									{"SPARE#      ",    0,    0,    0,    0,    0,    0,    0,    0,    0,   0,    0,    0,    0,    0,   0,  0, 0,     0}
//								  };

enum valid_standards {std_en464, std_astm1052, std_heads, std_custom, std_max};
static valid_standards test_standard_number;
// END GLOBALS ======================================================

//----------------------------------------------------------------------------------
void load_test_standard_info(void)
//----------------------------------------------------------------------------------
{
	if (test_standard_number < std_custom)
	{
		//load it from ROM
		test_standard_info = STANDARDS[test_standard_number];
	}
	else
	{
		//load it from EEPROM
		read_eeprom_custom_params(&test_standard_info);
	}
}

// =============================================================
#endif